cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò <ilgro...@apache.org>
Subject Re: [jira] [Commented] (COCOON-2354) Update POI 3.0.2 to 3.10-FINAL and fix support Merge tag support.
Date Tue, 04 Oct 2016 05:15:16 GMT
On 03/10/2016 23:40, Jörg Heinicke wrote:
> Hi Francesco,
>
> Maybe we should no longer stick to this requirement. It's outdated 
> since many years. And it might prevent even the little community 
> support Cocoon (2.1) still has.

Hi Jörg,
it might make sense.

Please consider that setting the minimum requirement to JDK 1.5 will 
also require some help for upgrading the Java classes (say, at least for 
Generics) throughout the whole codebase: would you be available for 
landing a hand?

Why don't you start a separate [DISCUSS] thread about this here on dev@?

Regards.

> On 30/09/16 10:26, Francesco Chicchiriccò (JIRA) wrote:
>>
>>     [ 
>> https://issues.apache.org/jira/browse/COCOON-2354?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15535403#comment-15535403

>> ]
>>
>> Francesco Chicchiriccò commented on COCOON-2354:
>> ------------------------------------------------
>>
>> Sorry, I had to revert my commit with your patch as I have finally 
>> found that POI > 3.2 requires JDK 1.5 and thus is not acceptable for 
>> Cocoon 2.1.
>>
>> http://svn.apache.org/viewvc?rev=1762866&view=rev
>>
>>> Update POI 3.0.2 to 3.10-FINAL and fix support Merge tag support.
>>> -----------------------------------------------------------------
>>>
>>>                 Key: COCOON-2354
>>>                 URL: https://issues.apache.org/jira/browse/COCOON-2354
>>>             Project: Cocoon
>>>          Issue Type: Bug
>>>          Components: Blocks: POI
>>>    Affects Versions: 2.1.12
>>>            Reporter: Carlos Navarro
>>>            Assignee: Francesco Chicchiriccò
>>>             Fix For: 2.1.13
>>>
>>>         Attachments: poi_update.patch
>>>
>>>
>>> Update POI 3.0.2 to 3.10-FINAL and fix support Merge tag support.
>>> We need update the POI version lib to implement support to xwpf.
>>> * Change the jar lib lib/optional/poi-3.0.2-FINAL-20080204.jar for a 
>>> newer version lib/optional/poi-3.10-FINAL.jar .
>>> source: 
>>> https://mvnrepository.com/artifact/org.apache.poi/poi/3.10-FINAL
>>> * Change for the EPMerge class:
>>>  - Replace Range class(deprecated) with CellRangeAddress.
>>>  - Add Overcharge method addMergedRegion to the Sheet class.
>>>  - Remove Cell Encoding UTF_16 in class Sheet, Cell and Workbook 
>>> constructor.
>>>  - Adding tets merge cell range in 
>>> src/blocks/poi/samples/content/simple-date-test.xml
>>
>>
>>
>> -- 
>> This message was sent by Atlassian JIRA
>> (v6.3.4#6332)
>>
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Member at The Apache Software Foundation
Syncope, Cocoon, Olingo, CXF, OpenJPA, PonyMail
http://home.apache.org/~ilgrosso/


Mime
View raw message